BAIA 26.0
| Version | 26.0 |
|---|---|
| Release Date | 04 March 2026 |
Changes
API changes
BAIA has been upgraded to version v26 and v24 APIs have been dropped. The following changes have been made:
- The
product-text-v2-generationendpoints have been renamed toproduct-text-generationin the v26 preview API. Update the endpoint path from/semantic-function/product-text-v2-generationto/semantic-function/product-text-generation. The request and response schemas are unchanged. - The
product-embedding-v2endpoint has been renamed toproduct-embeddingin the v26 preview API. Update the endpoint path from/semantic-function/product-embedding-v2/call-and-waitto/semantic-function/product-embedding/call-and-wait. The request and response schemas are unchanged. - The v1
product-text-generationendpoint has been removed. Use the renamedproduct-text-generationendpoint in the v26 preview API instead. - The v1
product-embeddingendpoint has been removed. The request propertyproductToEmbed(single string) has been replaced withproductsToEmbed(array of strings) and the response propertyembedding(single object) has been replaced withembeddings(array of objects). - The deprecated
POST /cost/set-limitendpoint has been removed. UsePUT /spend-limit/{costType}instead. - The
LimitInCentsproperty onTenantCostUsageModelhas been removed. Cost limits are now specified per cost type via theLimitproperty onUsagePerCategoryModel.